#' @title The synthetically generated control charts.
#'
#' @description The data represents control charts synthetically generated by the process described in (Alcock and Manolopoulos, 1999).
#' @details Class 1 represents 'normal' status,  
#' while class 0 represents either 'Cyclic', 'Increasing trend', 'Decreasing trend', 'Upward shift' or Downward shift.
#'
#' @format A dataset with 600 observations and a sequence length of 60, with a single sequence per line. 
#' \describe{
#'   The y data is the response (1 or 0).
#'   
#'   The x data constructs time series sequences (numeric).
#'   
#'   Both training and testing datasets contain 300 sequence observations.
#' }
#' 
#' @docType data
#' @keywords datasets
#' @name Dataset_Synthetic_Control
#' @usage data(Dataset_Synthetic_Control)
#' @source \url{https://archive.ics.uci.edu/ml/datasets/Synthetic+Control+Chart+Time+Series}
NULL